# QRIS Refund Notify

# Specification

  • The following table is a specification of this API:
Name Description
API Name SNAP QR MPM Refund Notify
Function This API is used to notify payment status and information from PayCools to merchant’s platform
Service Code 78
Method POST
URL /v2.0/qr/qr-mpm-refund-notify
Accept application/json
Content Type application/json
Related Service
Expected Timeout 8 second

# Request

  • The following part will be describe about parameter of request in this API:

# Request Parameter

  • The following table is a list of request parameter in this API:
  • The following table is a header of request parameter:
No Name Type Length Required Condition Remarks
1 Content-Type String Variable, 127 max Mandatory - Content type, value always application/json
2 X-TIMESTAMP String Fixed, 25 max Mandatory - Transaction date time, in format YYYY-MM-DDTHH:mm:ss+07:00. Time must be in GMT+7 (Jakarta time)
3 X-SIGNATURE String Variable Mandatory - Signature need to be generated with symmetricSignature or asymmetricSignature method

# Body

  • The following table is a body of request parameter:
No Name Type Length Required Condition Remarks
1 responseCode String Fixed, 7 max Mandatory - Refer to response code list
2 responseMessage String Variable, 150 max Mandatory - Refer to response code list
3 originalPartnerReferenceNo String Variable Mandatory - Unique identifier of the transaction client would like to query
4 originalReferenceNo String Variable Mandatory Y:= Successfully processed Transaction identifier in PayCools system
The value will be returned for successful payment
5 originalExternalId String Variable Mandatory - Original External-ID on header message request
6 refundNo String Variable Conditional Y:= Successfully Refund ID provided. Mandatory applied only if the refund transaction is successful
7 partnerRefundNo String Variable Conditional Y:= Successfully Refund ID provided. Mandatory applied only if the refund transaction is successful
8 refundTime String Variable Mandatory Y:= Successfully Refund Time. Example: 2020-10-20T17:56:57+07:00
9 refundAmount MONEY Variable Conditional Y:= Successfully Refund Amount
10 additionalInfo QrisRefundNotifyAdditionalInfo Variable Mandatory - Unique Refund transaction identifier in client system.

# REQUEST SAMPLE

POST /v2.0/qr/qr-mpm-notify HTTP/1.1
X-Timestamp: 2023-04-11T21:14:56+07:00
X-Signature: Dupbr1ILxsfBrXFmeDdIjwCmgv6AF+JQeIpD1Gq8HDjow7avCXdZAPOEbxVe7/x0atxy86aUfC11zXA1gvXXwxrTXFr6V0x8GZCyTndqnDyRlBeEZLL3BLmDRkrSsomd/mv1eG/th4TQndSPrBBfbN3bj0yIB99y2BnU5fBy7B0ZhYiQVs3uREspIsBB99F/4Zv8GbPWvik2usdOUo0gfPAQoZ3MJAcBQ/0vMRT5KdLm903C2HNyl1Cpb6OFRgaU2LAWybEQIC2QJ9mFb08NPR0PEu75WpVHNrFYn8gfiI8nRso0vBJhtMZrRINDQf9scV53cFdjpWobQHvnFDHCqQ==
Content-Type: application/json

{
    "responseCode": "2007800",
    "responseMessage": "Successful",
    "originalPartnerReferenceNo": "CU5P8794847661330432",
    "originalReferenceNo": "6cb4a786-9260-4ae4-8183-913979aefc8c",
    "originalExternalId": "2059165393515319296",
    "refundNo": "52B3996618",
    "partnerRefundNo": "100687795",
    "refundAmount": {
        "value": "30000.00",
        "currency": "IDR"
    },
    "refundTime": "2026-05-26T06:51:02+07:00",
    "additionalInfo": {
        "eventName": "payment.refund.success",
        "merchantId": "000885000002094",
        "terminalId": "A1026229",
        "referenceNumber": "145637263052",
        "availableAmount": {
            "value": "0.00",
            "currency": "IDR"
        },
        "refundCounter": "1"
    }
}

# Response

  • The following part will be describe about parameter of response in this API:

# Response Parameter

  • The following table is a list of response parameter in this API:

# Header

  • The following table is a header of response parameter:
No Name Type Length Required Condition Remarks
1 Content-Type String Variable, 127 max Mandatory - Content type, value always application/json
2 X-TIMESTAMP String Fixed, 25 max Mandatory - Transaction date time, in format YYYY-MM-DDTHH:mm:ss+07:00. Time must be in GMT+7 (Jakarta time)

# Body

  • The following table is a body of response parameter:
No Name Type Length Required Condition Remarks
1 responseCode String Fixed, 7 max Mandatory - Refer to response code list
2 responseMessage String Variable, 150 max Mandatory - Refer to response code list

# Response

Content-Type: application/json
X-TIMESTAMP: 2023-04-11T21:10:11+07:00
{
    "responseCode": "2007800",
    "responseMessage": "Successful"
}

# Response Code and Message

  • The following table is the list response code and message of Balance Inquiry API:
No Response Code Response Message Remarks Partner Action Related Service
1 2007800 Successful Success to be processed Successful QRIS MPM (Acquirer) - SNAP